| PDL for FM0+ Version1.0 Peripheral Driverl Library for FM0+

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Fields

Data Fields
stc_mfs_uart_config Struct Reference
Multi Function Serial Interface (MFS)

UART configuration structure. More...

`#include <mfs.h>`

Collaboration diagram for stc_mfs_uart_config:
[legend]

## Data Fields
en_uart_mode_t | enMode
| UART mode.
uint32_t | u32BautRate
| Baud rate (bps)
en_uart_parity_t | enParity
| Parity format.
en_uart_stop_bit_t | enStopBit
| Stop bit.
en_uart_data_len_t | enDataLength
| 5..9 Bit Character Length
en_uart_data_dir_t | enBitDirection
| UART data direction.
boolean_t | bInvertData
| FALSE: NRZ, TRUE : Inverted NRZ.
boolean_t | bHwFlow
| FALSE: Not use Hardware Flow, TRUE : Use Hardware Flow.
boolean_t | bEnableFifo
| FALSE: Not enable FIFO configuration, TRUE: enable FIFO configuration.
stc_mfs_fifo_config_t | stcFifoConfig

## Detailed Description

UART configuration structure.

Definition at line 570 of file mfs.h.

## Field Documentation

boolean_t bEnableFifo

FALSE: Not enable FIFO configuration, TRUE: enable FIFO configuration.

Definition at line 581 of file mfs.h.

Referenced by Mfs_Uart_Init(), and Uart_Printf_Init().

boolean_t bHwFlow

FALSE: Not use Hardware Flow, TRUE : Use Hardware Flow.

Definition at line 579 of file mfs.h.

Referenced by Mfs_Uart_Init(), and Uart_Printf_Init().

boolean_t bInvertData

FALSE: NRZ, TRUE : Inverted NRZ.

Definition at line 578 of file mfs.h.

Referenced by Mfs_Uart_Init(), and Uart_Printf_Init().

en_uart_data_dir_t enBitDirection

UART data direction.

Definition at line 577 of file mfs.h.

Referenced by Mfs_Uart_Init(), and Uart_Printf_Init().

en_uart_data_len_t enDataLength

5..9 Bit Character Length

Definition at line 576 of file mfs.h.

Referenced by Mfs_Uart_Init(), and Uart_Printf_Init().

en_uart_mode_t enMode

UART mode.

Definition at line 572 of file mfs.h.

Referenced by Mfs_Uart_Init(), and Uart_Printf_Init().

en_uart_parity_t enParity

Parity format.

Definition at line 574 of file mfs.h.

Referenced by Mfs_Uart_Init(), and Uart_Printf_Init().

en_uart_stop_bit_t enStopBit

Stop bit.

Definition at line 575 of file mfs.h.

Referenced by Mfs_Uart_Init(), and Uart_Printf_Init().

stc_mfs_fifo_config_t stcFifoConfig

Definition at line 582 of file mfs.h.

Referenced by Mfs_Uart_Init().

uint32_t u32BautRate

Baud rate (bps)

Definition at line 573 of file mfs.h.

Referenced by Mfs_Uart_Init(), and Uart_Printf_Init().

The documentation for this struct was generated from the following file:

- C:/pdl_v10/library/driver/mfs/mfs.h